
From: <gerg@snapgear.com>

Clean up debug trace in startup code of 68EZ328 DragonEngine board.


---

 25-akpm/arch/m68knommu/platform/68VZ328/de2/crt0_ram.S |   16 +++++++++++-----
 1 files changed, 11 insertions(+), 5 deletions(-)

diff -puN arch/m68knommu/platform/68VZ328/de2/crt0_ram.S~cleanup-startup-code-for-68ez328-dragonengine-board arch/m68knommu/platform/68VZ328/de2/crt0_ram.S
--- 25/arch/m68knommu/platform/68VZ328/de2/crt0_ram.S~cleanup-startup-code-for-68ez328-dragonengine-board	2004-04-10 15:20:01.368905240 -0700
+++ 25-akpm/arch/m68knommu/platform/68VZ328/de2/crt0_ram.S	2004-04-10 15:20:01.371904784 -0700
@@ -8,17 +8,21 @@
 #define	MEM_END	0x00800000	/* Memory size 8Mb */
 #endif
 
+#undef CRT_DEBUG
+
+.macro	PUTC CHAR
+#ifdef CRT_DEBUG
+	moveq	#\CHAR, %d7
+	jsr	putc
+#endif
+.endm
+
 	.global	_start
 	.global _rambase
 	.global _ramvec
 	.global	_ramstart
 	.global	_ramend
 	
-.macro	PUTC CHAR
-	moveq	#\CHAR, %d7
-	jsr	putc
-.endm
-
 	.data
 
 /*
@@ -120,6 +124,7 @@ _start:
  * Local functions
  */
  
+#ifdef CRT_DEBUG
 putc:
 	moveb	%d7, 0xfffff907
 1:
@@ -127,3 +132,4 @@ putc:
 	andw	#0x2000, %d7
 	beq	1b
 	rts
+#endif

_
